Receipts
Update receipt
Update specific fields of an existing receipt. Only provided fields will be updated. Can update receipts even after they are closed.
PATCH
/
receipts
/
{id}
Update receipt
curl --request PATCH \
--url https://integrations.clopos.com/open-api/v2/receipts/{id} \
--header 'Content-Type: application/json' \
--header 'x-token: <api-key>' \
--data '
{
"order_status": "NEW",
"order_number": "RPO-00001",
"fiscal_id": "Twrewr89fnscvj22",
"lock": false
}
'const options = {
method: 'PATCH',
headers: {'x-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
order_status: 'NEW',
order_number: 'RPO-00001',
fiscal_id: 'Twrewr89fnscvj22',
lock: false
})
};
fetch('https://integrations.clopos.com/open-api/v2/receipts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://integrations.clopos.com/open-api/v2/receipts/{id}"
payload = {
"order_status": "NEW",
"order_number": "RPO-00001",
"fiscal_id": "Twrewr89fnscvj22",
"lock": False
}
headers = {
"x-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"id": 123,
"venue_id": 123,
"cid": "<string>",
"user_id": 123,
"terminal_id": 123,
"source": "<string>",
"customer_id": 123,
"sale_type_id": 123,
"guests": 123,
"status": 123,
"lock": true,
"total": 123,
"subtotal": 123,
"payment_methods": [
{
"id": 123,
"name": "<string>",
"amount": 123
}
],
"fiscal_id": "<string>",
"discount_type": 123,
"discount_value": 123,
"service_charge": 123,
"delivery_fee": 123,
"order_status": "<string>",
"order_number": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"closed_at": "<string>",
"deleted_at": "<string>"
},
"message": "<string>",
"time": 123,
"timestamp": "<string>",
"unix": 123
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
JWT access token obtained from /v2/auth endpoint
Path Parameters
Receipt ID
Body
application/json
Was this page helpful?
⌘I
Update receipt
curl --request PATCH \
--url https://integrations.clopos.com/open-api/v2/receipts/{id} \
--header 'Content-Type: application/json' \
--header 'x-token: <api-key>' \
--data '
{
"order_status": "NEW",
"order_number": "RPO-00001",
"fiscal_id": "Twrewr89fnscvj22",
"lock": false
}
'const options = {
method: 'PATCH',
headers: {'x-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
order_status: 'NEW',
order_number: 'RPO-00001',
fiscal_id: 'Twrewr89fnscvj22',
lock: false
})
};
fetch('https://integrations.clopos.com/open-api/v2/receipts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://integrations.clopos.com/open-api/v2/receipts/{id}"
payload = {
"order_status": "NEW",
"order_number": "RPO-00001",
"fiscal_id": "Twrewr89fnscvj22",
"lock": False
}
headers = {
"x-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"id": 123,
"venue_id": 123,
"cid": "<string>",
"user_id": 123,
"terminal_id": 123,
"source": "<string>",
"customer_id": 123,
"sale_type_id": 123,
"guests": 123,
"status": 123,
"lock": true,
"total": 123,
"subtotal": 123,
"payment_methods": [
{
"id": 123,
"name": "<string>",
"amount": 123
}
],
"fiscal_id": "<string>",
"discount_type": 123,
"discount_value": 123,
"service_charge": 123,
"delivery_fee": 123,
"order_status": "<string>",
"order_number": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"closed_at": "<string>",
"deleted_at": "<string>"
},
"message": "<string>",
"time": 123,
"timestamp": "<string>",
"unix": 123
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}